# Configuration for EditorConfig
# https://EditorConfig.org

root = true

[*]
charset = utf-8
end_of_line = lf
insert_final_newline = true
trim_trailing_whitespace = true

[*.{py,pyi}]
indent_size = 4
indent_style = space

[*.{xml,yml,yaml,json,js,css,scss,md,rst}]
indent_size = 2
indent_style = space

[*.{md,rst}]
trim_trailing_whitespace = false

[Makefile]
indent_style = tab
